Package org.eclipse.team.ui.synchronize

## Class ParticipantPageDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.team.ui.SaveablePartDialog
        - - org.eclipse.team.ui.synchronize.ParticipantPageDialog

All Implemented Interfaces:
  `IShellProvider`

    @Deprecated
    public class ParticipantPageDialog
    extends SaveablePartDialog

Deprecated.
Clients should use `ParticipantPageCompareEditorInput` and `CompareUI.openCompareDialog(org.eclipse.compare.CompareEditorInput)`
A dialog that displays the option of adding the participant to the `ISynchronizeManager` when the dialog is closed. This can be useful for showing changes for a participant modally and allowing the user to decide if the participant shown should be made available non-modally.

Since:
  3.0
See Also:
  `SaveablePartAdapter`, `ISynchronizeParticipant`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`ParticipantPageDialog​(Shell shell, SaveablePartAdapter input, ISynchronizeParticipant participant)` Deprecated. Creates a dialog with the given participant and input.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `buttonPressed​(int buttonId)` Deprecated. Notifies that this dialog's button with the given id has been pressed.
`protected Control` `createDialogArea​(Composite parent2)` Deprecated. Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected ISynchronizeParticipant` `getParticipant()` Deprecated. Returns the participant showing in this dialog.
`protected boolean` `isOfferToRememberParticipant()` Deprecated. Return whether the ability to remember the participant in the synchronize view should be presented to the user.

### Methods inherited from class org.eclipse.team.ui.SaveablePartDialog

`close, configureShell, createButtonsForButtonBar, getDialogBoundsSettings, getInitialSize, getInput, setHelpContextId`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParticipantPageDialog

    public ParticipantPageDialog​(Shell shell,
                                 SaveablePartAdapter input,
                                 ISynchronizeParticipant participant)

Deprecated.
Creates a dialog with the given participant and input. The input is not created until the dialog is opened.

Parameters:
  `shell` - the parent shell or `null` to create a top level shell.
  `input` - the compare input to show in the dialog
  `participant` - the given participant

### Method Detail

#### createDialogArea

    protected Control createDialogArea​(Composite parent2)

Deprecated.
Description copied from class: `Dialog`
Creates and returns the contents of the upper part of this dialog (above the button bar).

The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

Subclasses must override this method but may call `super` as in the following example:

     Composite composite = (Composite) super.createDialogArea(parent);
     //add controls to composite as necessary
     return composite;

Overrides:
  `createDialogArea` in class `SaveablePartDialog`
Parameters:
  `parent2` - the parent composite to contain the dialog area
Returns:
  the dialog area control

#### buttonPressed

    protected void buttonPressed​(int buttonId)

Deprecated.
Description copied from class: `Dialog`
Notifies that this dialog's button with the given id has been pressed.

The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

Overrides:
  `buttonPressed` in class `Dialog`
Parameters:
  `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

#### getParticipant

    protected ISynchronizeParticipant getParticipant()

Deprecated.
Returns the participant showing in this dialog.

Returns:
  the participant showing in this dialog.

#### isOfferToRememberParticipant

    protected boolean isOfferToRememberParticipant()

Deprecated.
Return whether the ability to remember the participant in the synchronize view should be presented to the user. By default, `true` is returned. Subclasses may override.

Returns:
  whether the ability to remember the participant in the synchronize view should be presented to the user
Since:
  3.2